module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={
			args={sound_path=[[Magic/sound_magic_40902_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[4]={
			args={
				alive_time=3,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_409/Prefabs/409_camera1.prefab]],
					preload=true,
				},
				effect_dir_type=[[empty]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=-1.5,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=5.35,
		},
		[5]={
			args={
				alive_time=4,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_409/Prefabs/409_attack2_1.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=-1.5,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=5.35,
		},
		[6]={
			args={
				alive_time=3,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_409/Prefabs/409_attack2_2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=4,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=5.85,
		},
		[7]={
			args={
				alive_time=1.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_409/Prefabs/409_hit1.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0.3,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=6.1,
		},
		[8]={
			args={
				alive_time=0.15,
				ease_hide_time=0,
				ease_show_time=0,
				excutor=[[vicobj]],
				mat_path=[[Material/effect_Fresnel_Blue.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=6.1,
		},
		[9]={
			args={shake_dis=0.032,shake_rate=10,shake_time=0.7,},
			func_name=[[ShakeScreen]],
			start_time=7.1,
		},
		[10]={
			args={action_name=[[hit1]],excutor=[[vicobj]],},
			func_name=[[PlayAction]],
			start_time=7.1,
		},
		[11]={
			args={
				alive_time=0.15,
				ease_hide_time=0,
				ease_show_time=0,
				excutor=[[vicobj]],
				mat_path=[[Material/effect_Fresnel_Blue.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=7.3,
		},
		[12]={
			args={action_name=[[hit1]],excutor=[[vicobj]],},
			func_name=[[PlayAction]],
			start_time=7.3,
		},
		[13]={
			args={action_name=[[hit1]],excutor=[[vicobj]],},
			func_name=[[PlayAction]],
			start_time=7.6,
		},
		[14]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=false,
			},
			func_name=[[VicHitInfo]],
			start_time=7.95,
		},
		[15]={
			args={
				alive_time=0.1,
				ease_hide_time=0,
				ease_show_time=0,
				excutor=[[vicobj]],
				mat_path=[[Material/effect_Fresnel_Blue.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=8,
		},
		[16]={
			args={shake_dis=0.1,shake_rate=5,shake_time=0.2,},
			func_name=[[ShakeScreen]],
			start_time=8,
		},
		[17]={
			args={
				down_time=0.6,
				excutor=[[vicobjs]],
				hit_speed=7,
				hit_time=0.2,
				lie_time=0.2,
				up_speed=20,
				up_time=0.15,
			},
			func_name=[[FloatHit]],
			start_time=8.05,
		},
		[18]={
			args={
				begin_type=[[current]],
				calc_face=false,
				ease_type=[[Linear]],
				end_relative={base_pos=[[atk_lineup]],depth=0,relative_angle=0,relative_dis=0,},
				end_type=[[end_relative]],
				excutor=[[atkobj]],
				look_at_pos=false,
				move_time=0.1,
				move_type=[[line]],
			},
			editor_is_ban=false,
			func_name=[[Move]],
			start_time=8.33,
		},
		[19]={args={},func_name=[[End]],start_time=9.1,},
	},
	group_cmds={},
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_409/Prefabs/409_camera1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_409/Prefabs/409_attack2_1.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_409/Prefabs/409_attack2_2.prefab]],
		[4]=[[Effect/Magic/magic_eff_new_409/Prefabs/409_hit1.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
